Docs

List recurring rules

GET /api/v1/programmatic/recurring-rules

GET/api/v1/programmatic/recurring-rules
Recurringv1recurring:read

Returns recurring rules with bounded filtering and pagination.

Parameters

NameInType Description
statusqueryactive | paused | endedOptional active
typequeryexpense | income | transferOptional expense
kindqueryrule | subscriptionOptional rule
account_idquerystringOptional <account_id>
pagequerynumberOptional <page>
limitquerynumberOptional <limit>

Code examples

curl --request GET \
  --url 'https://api.tetri.app/api/v1/programmatic/recurring-rules?status=active&type=expense&kind=rule&account_id=<account_id>' \
  --header 'Authorization: Bearer $TETRI_API_TOKEN'

Responses

200Recurring rule page returned successfully.
401The access token is missing, invalid, expired, or revoked.
403The token does not have the required scope or workspace access.
429The credential has exceeded its request limit.